# http_connection, HTTP helper library for Ruby

This is the API documentation for 'http_connection, HTTP helper library for Ruby'.

## Files

- README.txt

## Classes/Modules

- Rightscale
- Rightscale::HttpConnection

## Methods

- ::blank? — Rightscale::HttpConnection
- ::new — Rightscale::HttpConnection
- ::params — Rightscale::HttpConnection
- ::params= — Rightscale::HttpConnection
- #close — Rightscale::HttpConnection
- #finish — Rightscale::HttpConnection
- #get_param — Rightscale::HttpConnection
- #local_read_size= — Rightscale::HttpConnection
- #local_read_size? — Rightscale::HttpConnection
- #request — Rightscale::HttpConnection
- #socket_read_size= — Rightscale::HttpConnection
- #socket_read_size? — Rightscale::HttpConnection

[Validate]

Generated with the Darkfish Rdoc Generator 2.